Skip to main content
POST
Apply Playbook suggestions
Last reviewed 2026-11-09 Requires playbook:write. Send the selected suggestion IDs and their generation revision. Set expectedSectionsEtag to the current sectionsEtag. Use the preview endpoint instead when the proposed wording needs to be edited before it is applied to staging.

Authorizations

Authorization
string
header
required

Hobbes API key with the hb_live_ prefix.

Path Parameters

group_id
string<uuid>
required

Playbook suggestion group UUID.

Query Parameters

role_id
string<uuid> | null

Body

application/json
changeIds
string[]
required
Required array length: 1 - 100 elements
expectedSectionsEtag
string
required
Required string length: 64
expectedGenerationRevision
integer
required
Required range: x >= 0

Response

Successful Response

groupId
string<uuid>
required
status
string
required
Allowed value: "applied"
sectionsEtag
string
required
role
SelectedRoleSummary · object
required
version
integer | null
noChange
boolean
default:false
stagingRevision
AgentRevisionRef · object | null